import { DesignerView } from "../../designerView.js";
import { IDesignerCanvas } from '../../IDesignerCanvas.js';
import { IDesignViewConfigButtonsProvider } from "./IDesignViewConfigButtonsProvider.js";
export declare class OptionsContextMenuButton implements IDesignViewConfigButtonsProvider {
    constructor();
    provideButtons(designerView: DesignerView, designerCanvas: IDesignerCanvas): HTMLElement[];
    protected prepareContextMenu(event: MouseEvent, designerCanvas: IDesignerCanvas): {
        title: string;
        checked: any;
        action: () => void;
    }[];
    showCtxMenu(event: MouseEvent, designerCanvas: IDesignerCanvas): void;
}
